Bug 165974 - "add revision information" in the commit dialog was not clear to majority of users
"add revision information" in the commit dialog was not clear to majority of ...
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Stupka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks: 165924
  Show dependency treegraph
 
Reported: 2009-05-25 15:55 UTC by Ondrej Langr
Modified: 2009-08-25 02:46 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
UI improving discoverability of the search (97.76 KB, image/png)
2009-06-09 21:10 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-05-25 15:55:31 UTC
The same was applicable for the other checkbox below. 

Based on Kenai usability study results.
Comment 1 Ondrej Langr 2009-05-25 15:56:30 UTC
Assigning to myself to suggest better solution. 
Comment 2 Ondrej Langr 2009-06-09 21:10:44 UTC
Created attachment 83368 [details]
UI improving discoverability of the search
Comment 3 Tomas Stupka 2009-06-10 09:26:39 UTC
ok. it's just that it's summary instead of description we use for the search
Comment 4 Ondrej Langr 2009-06-10 10:12:32 UTC
Damn, I messed it up. My last attachment should have been to another issue (#165971). Please ignore it in context of
this issue.
Comment 5 Tomas Stupka 2009-06-10 10:15:51 UTC
whatever. i still insist that summary should be used instead of description:)
Comment 6 Ondrej Langr 2009-06-10 12:07:44 UTC
Belongs to the other issue ;-), but agreed.
Comment 7 Ondrej Langr 2009-07-27 12:41:24 UTC
UI solution for this problem: 

Current state: 
--------------
[ ] Resolve as Fixed
[ ] Add Commit Message from Above
[ ] Add Revision Information to the Issue ([link: Change format...])
[ ] Add Issue Information to Commit Message ([link: Change format...])

Suggested: 
----------
[ ] Resolve as Fixed
[ ] Add Commit Message from Above ([link: Change format...])

The other two check-boxes would be on automatically. 

Assumptions behind: 
1) Resolving an issue as fixed without referring to the revision this issue was fixed in is a bad practice. 
2) Adding a message to an issue about a certain revision without referring to it is a bad practice.
3) Committing a revision related to an issue, without referring to this issue is a bad practice 
4) Committing a revision which fixes an issue, without referring to this issue is a bad practice. 

1&2 result in removal of the "Add Revision information to the Issue" checkbox.
3&4 result in removal of the "Add Issue information to Commit Message" checkbox. 

The 2 current "Change format" dialogs, should simply be integrated:

 -------------------------------------------------------------------
|    Commit msg (version history)       Issue                       |
|    --------------------------         ------------------------    |
|   | Issue #{id} - {summary}  |       | Revision: {revision}   |   |
|   |                          |       | Author:   {author}     |   |
|   |                          |       | ...                    |   |
|   |                          |       |                        |   |
|    --------------------------         ------------------------    |
|     O Above the Message                O Above the Message        |
|     O Below the Message                O Below the Message        |
|                                                                   |
|                                                   [OK] [Cancel]   |
 -------------------------------------------------------------------

Reassigning back for implementation, please contact me if there are any questions/concerns/.
Comment 8 Tomas Stupka 2009-08-11 16:20:15 UTC
first shot - labels still have to be fine tuned

changeset   : 140777:a8ae9e59ddab
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Tue Aug 11 17:19:44 CEST 2009
Comment 9 Quality Engineering 2009-08-13 06:05:46 UTC
Integrated into 'main-golden', will be available in build *200908130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a8ae9e59ddab
User: Tomas Stupka <tstupka@netbeans.org>
Log: #165974 - "add revision information" in the commit dialog was not clear to majority of users
Comment 10 Tomas Stupka 2009-08-21 11:52:01 UTC
finalized labels in commit and template panel

fixed

changeset   : 142214:9df23db386c2
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Fri Aug 21 12:51:03 CEST 2009
Comment 11 Ondrej Langr 2009-08-21 14:55:41 UTC
Thanks Tomas!
Comment 12 Quality Engineering 2009-08-25 02:46:33 UTC
Integrated into 'main-golden', will be available in build *200908242212* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9df23db386c2
User: Tomas Stupka <tstupka@netbeans.org>
Log: #165974 - "add revision information" in the commit dialog was not clear to majority of users


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo